include(FetchContent)

if(NOT DEFINED RAPIDYAML_REPO)
    set(RAPIDYAML_REPO https://github.com/biojppm/rapidyaml.git)
endif ()

FetchContent_Declare(
        ryml
        EXCLUDE_FROM_ALL
        GIT_REPOSITORY ${RAPIDYAML_REPO}
        GIT_TAG v0.7.2
        GIT_SHALLOW FALSE  # ensure submodules are checked out
)
FetchContent_MakeAvailable(ryml)